[xubuntu-users] Upgrade from 15.10 to 16.04 got aborted

Dave Dodge dododge at dododge.net
Mon Jan 2 15:20:44 UTC 2017


On Mon, Jan 02, 2017 at 12:56:57PM +0000, Peter Flynn wrote:
> I just upgraded my Dell Latitude D810 from 15.10 to 16.04_01 using
> update-manager (the last of my machines to update this cycle).  All went
> well except for two things:

I recently upgraded a machine directly from 14.04.5 to 16.10 and ran
into a lot of trouble along the way, ranging from dependency conflicts
to pre-script failures to a cat stepping on the reset button while I
was trying to fix things.

According to my notes, I eventually got it all the way through, mainly
by repeatedly forcing it every time it quit because of too many
errors:

  sudo apt-get dist-upgrade -f

and when it complained about broken dependencies I'd force that to
continue as well:

  sudo apt-get install -f

When it got stuck because of disagreement over which version of a
package owns a file, I used this with the newer version of the
package:

  sudo dpkg -i --force-overwrite /var/cache/apt/archives/PACKAGE.deb

The pre-install script for ppp failed because of a "broken LSB comment
header" or something like that.  Basically the script it was
complaining about in /etc/init.d was missing an "### END" comment (I
just looked at other scripts to see what it should look like).

After reboot it was using the old NVIDIA driver and only working at
low resoution, but switching it to the new one fixed that.

There was also a jpeg turbo package that kept failing to upgrade, but
removing and re-installing worked.

After all that the system seemed to think everything was in place,
though I admittedly haven't used it much since then so I don't know
how stable it really is.

                              -Dave Dodge/dododge at dododge.net



More information about the xubuntu-users mailing list